Force Redeem
The Force Redemption API allows administrators (e.g., restaurant managers, support staff, or corporate team members) to override normal redemption flows and manually or programmatically redeem an offer or promotion on behalf of a guest. This functionality is particularly useful in various customer support, operational, and exception-handling scenarios.
Note: The Force Redemption API is intended primarily for support-related scenarios where offers need to be redeemed on a limited scale. It should not be used for bulk expirations or large-scale force redemptions. For example, if a brand has distributed offers through a campaign and later runs out of stock for the promotion, this API should not be used to bulk-expire the offers already available to guests in order to discontinue the campaign.
Usage Limit: Permissible usage is capped at 500 requests per minute (RPM), with a daily limit of up to 100,000 requests. If you need to process more than 100,000 requests in a single day, contact your Punchh representative.
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: objectredemption
- Type: integeruser
_id ID that identifies the user
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/redemptions/force_redeem \
--request POST \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Content-Type: application/json' \
--data '{
"user_id": 111111111,
"redemption": {
"requested_punches": 50,
"force_message": "This is a test"
}
}'
{
"redemption_status": "redeemable",
"created_at": "2017-02-08T14:54:44Z",
"redeemable_id": null,
"redemption_image_url": "IMAGE_URL_GOES_HERE",
"redemption_message": "Message associated with the redemption.",
"location_id": 304252,
"updated_at": "2017-02-08T14:54:44Z",
"redemption_id": 6440712,
"redemption_tracking_code": "7714880",
"expiring_at": "2017-02-08T16:54:44Z",
"redeemable_name": null,
"redeemed_value": 50
}